#######################################################################
#          Licensed Materials - Property of IBM                       #
#          "Restricted Materials of IBM"                              #
#          5748-T15                                                   #
#          (C) Copyright IBM Corp. 2006                               #
#          All Rights Reserved                                        #
#          US Government Users Restricted Rights - Use, duplication   #
#          or disclosure restricted by GSA ADP Schedule Contract      #
#          with IBM Corp.                                             #
#######################################################################
#  This file is provided on an "as is" basis.  There are no           #
#  warranties, express or implied, including the implied warranties   #
#  of merchantability and fitness for a particular purpose.           #
#  IBM has no obligation to provide service, defect correction, or    #
#  any maintenance for the file.  IBM has no obligation to supply     #
#  any updates or enhancements for the file to you even if such are   #
#  or later become available.                                         #
#######################################################################
#  Change History                                                     #
#                                                                     #
#                                                                     #
#                                                                     #
#######################################################################
################################################################################
# Generic make to build a single object shared object (etype)
################################################################################

TPF_DRIVER := mpif
APP := $(shell echo $(TPF_PGM_NAME) | tr [:lower:] [:upper:] )

################################################################################
# Define the envs needed to build this module, in the order of precedence
################################################################################

maketpf_env := drvs
maketpf_env += base_rt
maketpf_env += system

################################################################################
# Segments to be assembled
################################################################################

ASM_SRC := $(shell echo $(TPF_PGM_NAME) | tr [:upper:] [:lower:] ).asm

ASMFLAGS_MAK =

################################################################################
# Include the maketpf.rules
################################################################################

include maketpf.rules
